Deprecate and Remove support for IMS LTI 2.0 from Sakai

At this point, all the major LMS vendors that support LTI 2.0 have quietly decided to move away from LTI 2.0 and towards LTI 1.3 and ContentItem and follow-ons.

LTI 2.0 has a few good features and a lot of bad ideas.¬† Sakai’s LTI 2.0 (and almost LTI 2.1) is one of the best in the industry and one of only two formally certified LTI 2.0 LMS’s.

But even with all those positives, LTI 2.0 in Sakai is many lines of intricate code that if never used is a liability for security and maintenance Рand as new features like LTI 1.3, its services, and new follow-on specs emerge Рit is nice to clean up a large amount of code to make space for new stuff.

So at this point LTI 2.0 is deprecated in Sakai 12.x and will be removed in an upcoming release of Sakai.

If you have any concerns – or tools that require LTI 2.0 – please note them in this JIRA:

https://jira.sakaiproject.org/browse/SAK-40065

Or let me know using some other channel.